Skip to main content

POST Audit

URL: http://{Server_URL}/api/v1/request/{Request_ID}/audit/search/byqual

This API retrieves the audit trail details for a specific request. It returns a list of audit entries, including changes and actions performed on the request, along with their corresponding timestamps.

note
  • To get the audit, the "Allow Requester to access Audit Trail" parameter must be enabled from the Admin Support Portal Settings.
  • Only those audit that are available to the Requester on the Support Portal will be displayed.
  • This API is available from version 8.4.1 onwards.

Request Details

Headers:

KeyValueDescription
AuthorizationBearer <Token> / <API Key>Required for authentication.

Path Parameters:

ParameterTypeDescription
Request_IDIntegerUnique ID of the request for which audit details need to be fetched.

Request Body:

{}

(Currently, the body is empty but must be sent as a valid JSON object.)


Sample Request

curl --location 'http://172.16.11.157/api/v1/request/1/audit/search/byqual' \
--header 'Authorization: Apikey XSgIpab%2FmRx8NmPG%40m0Oi907uhXFMIyH2s674XBq973AOPj3mva1YFc4FxoAW51zmErlllg%3D%3D' \
--header 'Content-Type: application/json' \
--data '{

}'

Request Body:

{}

Sample Response

[
{
"auditString": "Jerry has added Reply To Technician.",
"auditDate": "Wed, Oct 08, 2025 01:07 pm"
},
{
"auditString": "Jerry has changed Status from In Progress to Pending.",
"auditDate": "Wed, Oct 08, 2025 01:06 pm"
},
{
"auditString": "Jerry has added Reply To Technician.",
"auditDate": "Wed, Oct 08, 2025 01:03 pm"
},
{
"auditString": "Jerry has changed Status from Open to In Progress.",
"auditDate": "Wed, Oct 08, 2025 01:02 pm"
},
{
"auditString": "System has added Email Content.",
"auditDate": "Wed, Oct 08, 2025 01:01 pm"
},
{
"auditString": "Request with ID as INC-1, Subject as \"Test TICKET\", Source as Email, Status as Open, Urgency as Low, Priority as Low, Impact as Low, for Requester \"Jerry\".",
"auditDate": "Wed, Oct 08, 2025 01:01 pm"
}
]

Response Details

FieldTypeDescription
auditStringStringDescribes the action performed on the request.
auditDateStringTimestamp indicating when the action occurred.

Success Response Code

200 OK – Returns the list of audit trail entries for the specified request.

Error Responses

CodeDescription
400Invalid Request ID or malformed request body.
401Unauthorized – Invalid or missing authorization token.
404Request not found.
500Internal server error.